# Getting Started

### *Install*

yarn:

```bash
yarn add @hatsprotocol/hsg-sdk viem
```

npm:

```bash
npm install @hatsprotocol/hsg-sdk viem
```

The SDK uses Viem in order to interact with the various chains and includes it as a peer dependency.

### *HatsSignerGateClient Initialization*

Import and initialize *HatsSignerGateClient*:

```typescript
import { HatsSignerGateClient } from "@hatsprotocol/hsg-sdk";

const hatsSignerGateClient = new HatsSignerGateClient({
    publicClient,
    walletClient,
});
```

***Arguments***:

```typescript
{
    publicClient: PublicClient;
    walletClient: WalletClient;
}
```

* `publicClient` - A Viem Public Client, used for onchain read operations.
* `walletClient` - A Viem Wallet Client, used for onchain write operations.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hatsprotocol.xyz/for-developers/hats-signer-gate-sdk/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
